View Issue Details

IDCategoryLast Update
0006738bugs2019-08-10 09:11
ReporterrobertaramarAssigned To 
Reproducibilityalways 
Status confirmedResolutionopen 
PlatformAMD64OSUbuntuOS Version15.04/15.10
Product Version4.4 
Fixed in Version 
Summary0006738: MIDI Channel control not working on live input
DescriptionUsing the MIDI channel control dialog (CHNS button in track), I select "Inbound: Force all channels to 4" and "Playback: Use a single fixed channel for all playback to 4"

To make explanation easier:

Channel 1 == piano
Channel 4 == strings

I use a keyboard that sends its data on channel 1
During live input and recording I hear channel 1 (the piano).
When I play the recorded data, I hear channel 4 (the strings).
The MIDI data in /interchange/{song}/midifiles (viewed with mftext) shows also channel 4.
Using the Ardour vertical keyboard on the track will also sound channel 4 (the strings).

So it is only the live input that is not being filtered by this dialog.
TagsNo tags attached.

Activities

timbyr

2016-02-03 03:13

developer   ~0017873

I can confirm this issue exists with nightly version 4.6.201. Tested on windows(32-bit)

marcan

2019-08-10 09:10

reporter   ~0020712

This still seems to be a problem, but only when the transport is stopped. When the transport is rolling (even just playback), the monitoring follows the channel selector settings properly.

marcan

2019-08-10 09:11

reporter   ~0020713

Note: using 5.12.0.

Issue History

Date Modified Username Field Change
2016-01-17 17:48 robertaramar New Issue
2016-02-03 03:13 timbyr Note Added: 0017873
2016-02-03 03:13 timbyr Status new => confirmed
2019-08-10 09:10 marcan Note Added: 0020712
2019-08-10 09:11 marcan Note Added: 0020713